﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace RegExStudio.Dialogs
{
    /// <summary>
    /// Dialog für Versionsinformation
    /// </summary>
    public partial class DialogInfo : DialogBase
    {
        /// <summary>
        /// ctor
        /// </summary>
        public DialogInfo()
        {
            InitializeComponent();
        }

        /// <summary>
        /// Dialog wird geladen
        /// Version wird angezeigt
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void DialogInfo_Load(object sender, EventArgs e)
        {
            lblVersion.Text = string.Format(lblVersion.Text, Application.ProductVersion);
        }
        
        /// <summary>
        /// Geht zur Projektseite auf Codeplex
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void hlCodeplex_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
        {
            System.Diagnostics.Process.Start(Properties.Settings.Default.CodeplexURL);
        }

        /// <summary>
        /// Schließt den Dialog
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void btnClose_Click(object sender, EventArgs e)
        {
            DialogResult = DialogResult.OK;            
        }

    }
}
