﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace RegExStudio.RegExStudioEventArgs
{
    /// <summary>
    /// Ereigniss wenn der Eingabestring geändert wurde
    /// </summary>
    public class InputChangedEventArgs : EventArgs
    {
        private string _input;
        /// <summary>
        /// Der Eingabestring
        /// </summary>
        public string Input
        {
            get { return _input; }
        }

        /// <summary>
        /// ctor
        /// </summary>
        /// <param name="input">Der Eingabestring</param>
        public InputChangedEventArgs(string input)
        {
            _input = input;
        }
    }
}
