﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace RegExStudio.RegExStudioEventArgs
{ 
    /// <summary>
    /// Ereigniss wenn das gewünschte Match im Header geändert wurde
    /// </summary>
    public class MatchChangedEventArgs : EventArgs
    {
        private int _match;
        /// <summary>
        /// Index des gewünschten Matches
        /// </summary>
        public int Match
        {
            get { return _match; }
        }

        /// <summary>
        /// ctor
        /// </summary>
        /// <param name="match">Index des gewünschten Matches</param>
        public MatchChangedEventArgs(int match)
        {
            _match = match;
        }
    }
}
