﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Text.RegularExpressions;

namespace RegExStudio.RegExStudioEventArgs
{
    //Ereigniss wenn die Optionen geändert wurden, mit denen die RegEx verarbeitet wird
    public class OptionsChangedEventArgs : EventArgs
    {
        private RegexOptions _options;
        /// <summary>
        /// Die RegEx Optionen
        /// </summary>
        public RegexOptions Options
        {
            get { return _options; }
        }

        /// <summary>
        /// ctor
        /// </summary>
        /// <param name="options">ie RegEx Optionen</param>
        public OptionsChangedEventArgs(RegexOptions options)
        {
            _options = options;
        }
    }
}
