﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace RegExStudio.RegExStudioEventArgs
{
    /// <summary>
    /// Ereigniss wenn sich irgendwas in der Eingabe geändert hat
    /// </summary>
    public class RegExChangedEventArgs : EventArgs
    {
        private Xml.RegExSetRegEx _regEx;
        /// <summary>
        /// Die RegEx mit den Zusatzdaten (Input, etc.)
        /// </summary>
        public Xml.RegExSetRegEx RegEx
        {
            get { return _regEx; }
        }

        /// <summary>
        /// ctor
        /// </summary>
        /// <param name="regEx">Die RegEx mit den Zusatzdaten (Input, etc.)</param>
        public RegExChangedEventArgs(Xml.RegExSetRegEx regEx)
        {
            _regEx = regEx;
        }
    }
}
