﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace RegExStudio.RegExStudioEventArgs
{
    /// <summary>
    /// Ereigniss wenn der Name der RegEx geändert wurde
    /// </summary>
    public class NameChangedEventArgs : EventArgs
    {
        private string _name;
        /// <summary>
        /// Der Name der RegEx
        /// </summary>
        public string Name
        {
            get { return _name; }
        }

        /// <summary>
        /// ctor
        /// </summary>
        /// <param name="name">Der Name der RegEx</param>
        public NameChangedEventArgs(string name)
        {
            _name = name;
        }
    }
}
