﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace RegExStudio.RegExStudioEventArgs
{
    /// <summary>
    /// Ereigniss wenn sich das Pattern geändert hat
    /// </summary>
    public class PatternChangedEventArgs : EventArgs
    {
        private string _pattern;
        /// <summary>
        /// Das Pattern
        /// </summary>
        public string Pattern
        {
            get { return _pattern; }
        }

        /// <summary>
        /// ctor
        /// </summary>
        /// <param name="pattern">Das Pattern</param>
        public PatternChangedEventArgs(string pattern)
        {
            _pattern = pattern;
        }
    }
}
