﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace RegExStudio.RegExStudioEventArgs
{
    /// <summary>
    /// Ereigniss wenn sich im Replacement etwas geändert hat
    /// </summary>
    public class ReplacementsChangedEventArgs : EventArgs
    {
        private string _replacements;
        /// <summary>
        /// Das Replacement
        /// </summary>
        public string Replacements
        {
            get { return _replacements; }
        }

        /// <summary>
        /// ctor
        /// </summary>
        /// <param name="replacement">Das Replacement</param>
        public ReplacementsChangedEventArgs(string replacement)
        {
            _replacements = replacement;
        }
    }
}
