﻿using System;
using System.Collections.Generic;
using System.Xml.Serialization;

namespace RegExStudio.Xml
{
    [System.SerializableAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true)]
    [System.Xml.Serialization.XmlRootAttribute(Namespace = "", IsNullable = false)]
    public class Colors
    {
        private List<Color> _items;

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute("Color")]
        public List<Color> Items
        {
            get
            {
                return this._items;
            }
            set
            {
                this._items = value;
            }
        }

    }

    [System.SerializableAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true)]
    public class Color
    {
        private int _r;

        private int _g;

        private int _b;

        private string _name;

        public int R
        {
            get
            {
                return this._r;
            }
            set
            {
                this._r = value;
            }
        }

        public int G
        {
            get
            {
                return this._g;
            }
            set
            {
                this._g = value;
            }
        }

        public int B
        {
            get
            {
                return this._b;
            }
            set
            {
                this._b = value;
            }
        }

        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string Name
        {
            get
            {
                return this._name;
            }
            set
            {
                this._name = value;
            }
        }
    }
}